Name:           chess
Version:        1.0
Release:        1%{?dist}
Summary:        3D chess game
Group:          Amusements/Games
License:        GPL
URL:            http://www.steviedisco.co.uk
# This file identical to: http://www.steviedisco.co.uk/files/chess_src.zip
# except that it has the MS copyrighted tahoma.ttf file removed.
Source0:        chess_src.zip
Source1:        chess.desktop
Source2:        chess.png
Patch0:         chess-ogre12+gcc41+fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ogre-devel cegui-devel coldet-devel boost-devel
BuildRequires:  desktop-file-utils
# This is used as Tahoma replacement
Requires:       /usr/share/fonts/bitstream-vera/Vera.ttf

%description
Beautifull 3D rendered chess game using Ogre. Notice that this needs a
powerful 3D card to be playable on a radeon 92xx or intel 9xx integrated
graphics this is not playable!


%prep
%setup -q -c
%patch0 -p1 -z .fixes
sed -i 's/\r//' Readme.txt License/gpl.txt
# fixup plugins.cfg on 64 bit systems
sed -i 's!/usr/lib!%{_libdir}!' plugins.cfg


%build
make %{?_smp_mflags} PREFIX=%{_prefix} OPTFLAGS="$RPM_OPT_FLAGS -fsigned-char"


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora                       \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc Readme.txt License/gpl.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Mon Jun 26 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-1
- Initial Fedora Extras package
